cancel
Showing results for 
Search instead for 
Did you mean: 

/usr/lib/dld.sl error

/usr/lib/dld.sl error

Dear All,

I have 9000 series HP-UX 11.11i workstation, I have installed Oracle 9.2.0.7 with database say XYZ. We I try to start my PLM tool, the application will first test the connection between application and oracle, and during test connection is unsuccessfull and I am getting error as enclosed with this request.

Please find the attachment. Any solutions for this error, please let me know. I trying hard from last two days, still not able to sort this.

Thanks in advance.
2 REPLIES
freddy_21
Respected Contributor

Re: /usr/lib/dld.sl error

please check at metalink about that. i saw some error related with your error

Problem Description
-------------------

On HP/UX 11 with Oracle Server 7.x or 8.x when you run

% ctxload -user datvrv/datvrv -name prospect -file new.txt

You immediately receive the error:

/usr/lib/dld.sl: Invalid version for shared library:
/oracle/app/oracle/product/
8.0.4/lib/libclntsh.sl
/usr/lib/dld.sl: Exec format error
Abort(coredump)



Solution Description
--------------------

There may be a problem with the version of /usr/lib/dld.sl included
into the client shared library LIBCLNTSH.SL.

First verify that the executable is including the correct LIBCLNTSH.SL,
wish should be from $ORACLE_HOME/lib. This can be confirmed by setting
environment variable SHLIB_PATH = $ORACLE_HOME/lib.

For Bourne or Korn Shell:
=========================

$ SHLIB_PATH = /$ORACLE_HOME/lib
$ export SHLIB_PATH


For C shell:
============

% setenv SHLIB_PATH $ORACLE_HOME/lib


You must run genclntsh to create a clean copy of the client shared
library LIBCLNTSH.SL. As the owner of the Oracle software:

% cd $ORACLE_HOME/bin
% genclntsh


After generating LIBCLNTSH.SL the new version of LIBCLNTSH.SL
must be included into the executables for CONTEXT.

% cd $ORACLE_HOME/ctx/lib
% make -f ins_ctx.mk install


Explanation
-----------

The problems is with the version of /usr/lib/dld.sl included
into the client shared library LIBCLNTSH.SL then relinked into
the Context executables.



thanks
freddy
Yogeeraj_1
Honored Contributor

Re: /usr/lib/dld.sl error

hi,

verify that you environment variables are as such:
$LD_LIBRARY_PATH - includes $ORACLE_HOME/lib, but not $ORACLE_HOME/lib32
$SHLIB_PATH - includes $ORACLE_HOME/lib32, but not $ORACLE_HOME/lib

hope this helps too!
kind regards
yogeeraj
No person was ever honoured for what he received. Honour has been the reward for what he gave (clavin coolidge)